From a8444db51a5db3a065908e845438529e842dbc56 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Mon, 26 Jan 2015 15:01:06 -0500
Subject: buglist: bug 7299: docker image does not contain GCC

example from bookvol0:

p(10)
  Compiling function p with type Integer -> Polynomial(Fraction(Integer))
  Compiling function p as a recurrence relation

sh: 1: gcc: not found
---
 buglist                        |   13 ++++++++++++-
 changelog                      |   10 ++++++----
 patch                          |   15 ++++++---------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 26 insertions(+), 14 deletions(-)

diff --git a/buglist b/buglist
index d3da3e8..9797b49 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7299: 
+bug 7300: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,17 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7299: docker image does not contain GCC
+
+example from bookvol0:
+
+p(10)
+  Compiling function p with type Integer -> Polynomial(Fraction(Integer))
+  Compiling function p as a recurrence relation
+
+sh: 1: gcc: not found
+
+=========================================================================
 bug 7296: connect from VIEW2D is not graph specific
 
 The connect function in VIEW2D globally turns lines on or off.
diff --git a/changelog b/changelog
index 9b8df2c..745cc8e 100644
--- a/changelog
+++ b/changelog
@@ -1,7 +1,9 @@
-20150125 wxh src/axiom-website/patches.html 20150126.02.wxh.patch
-20150125 wxh bookvol10.4 MLIFT bug 7298: coercion to SUP failure in factor
-20150125 wxh src/input/bugs.input add regresstion test for bug 7298
-20150125 fmp src/axiom-website/patches.html 20150126.01.fmp.patch
+20150126 tpd src/axiom-website/patches.html 20150126.03.tpd.patch
+20150126 tpd buglist: bug 7299: docker image does not contain GCC
+20150126 wxh src/axiom-website/patches.html 20150126.02.wxh.patch
+20150126 wxh bookvol10.4 MLIFT bug 7298: coercion to SUP failure in factor
+20150126 wxh src/input/bugs.input add regresstion test for bug 7298
+20150126 fmp src/axiom-website/patches.html 20150126.01.fmp.patch
 20150126 fmp books/bookvol10.3 fixed bug 7297: Extraneous "#\" characters
 20150126 fmp src/input/radixtex.input regression test fixed bug 7297
 20150126 fmp src/input/Makefile add radixtex regression test
diff --git a/patch b/patch
index 0d4432f..02f228f 100644
--- a/patch
+++ b/patch
@@ -1,13 +1,10 @@
-bookvol10.4 MLIFT bug 7298: coercion to SUP failure in factor
+buglist: bug 7299: docker image does not contain GCC
 
-fixed by 20150126.02.wxh.patch, patch by Waldek Hebisch
-=========================================================================
-bug 7298: coercion to SUP failure in factor
+example from bookvol0:
 
-t1:=(4*x^3+2*y^2+1)*(12*x^5-x^3*y+12)*(x+1)*(y^2+3)*(x^2-1)
-factor(t1)
+p(10)
+  Compiling function p with type Integer -> Polynomial(Fraction(Integer))
+  Compiling function p as a recurrence relation
 
- >> Error detected within library code
- (1 . failed) cannot be coerce to mode (SparseUnivariatePolynomial (Integer))
+sh: 1: gcc: not found
 
-reported on 25 Jan 2015 by Ralf Hemmecke
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4ffcf33..7e834df 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4978,6 +4978,8 @@ buglist: bug 7298: coercion to SUP failure in factor<br/>
 books/bookvol10.3 fixed bug 7297: Extraneous "#\" characters<br/>
 <a href="patches/20150126.02.wxh.patch">20150126.02.wxh.patch</a>
 bookvol10.4 MLIFT bug 7298: coercion to SUP failure in factor<br/>
+<a href="patches/20150126.03.tpd.patch">20150126.03.tpd.patch</a>
+buglist: bug 7299: docker image does not contain GCC<br/>
  </body>
 </html>
 
-- 
1.7.5.4

